//+------------------------------------------------------------------+
//|                                                FXG_eHist2csv.mq4 |
//|                      Copyright  2010, Dmitry Zhebrak aka Necron |
//|                                                www.fxgeneral.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Dmitry Zhebrak"
#property link      "www.fxgeneral.com"
#define   version   "1.0.0.0"

extern string ext="csv";
extern int last_bar=1;

datetime bar;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   bar=0;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
 {
//----
  if(bar<Time[0])
  { 
   Print(" .  ");
   double o,hi,l,c,v; 

   int h=FileOpen(""+Symbol()+""+Period()+"."+ext+"",FILE_WRITE|FILE_CSV,",");
         for(int j=Bars-1;j>=last_bar;j--)
         {
            o=iOpen(""+Symbol()+"",Period(),j);
            c=iClose(""+Symbol()+"",Period(),j);
            hi=iHigh(""+Symbol()+"",Period(),j);
            l=iLow(""+Symbol()+"",Period(),j);
            v=iVolume(""+Symbol()+"",Period(),j);
         
            FileWrite(h,TimeToStr(Time[j],TIME_DATE),TimeToStr(Time[j],TIME_MINUTES),o,hi,l,c,v);
         }
     FileClose(h);

    
   Print(" ");
   PlaySound("alert.wav");
   bar=Time[0];

 }
   
   return(0);
  }
//+------------------------------------------------------------------+